Skip to content

Payins

The payin APIs allow you to fund the MCA or transfers with local payment rails, by retrieving or creating the relevant details to send to for funding a payment.

These details will be provided in the local format for that currency, and also includes the name and address of the receiving bank.

Create PayNow payment details

Request

Creates the encoded QR code and details for the payin session so the user can fund a transfer or balance top-up via a PayNow transaction. This operation supports the SGD currency only.

Security
UserToken
Path
profileIdinteger, (int64)required

Profile ID of the profile that created the transfer.

payinSessionIdstring, (string)required

Payin Session ID retrieved from Transfer object.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X POST \
  'https://api.wise.com/2026Q3/profiles/{profileId}/payin-sessions/{payinSessionId}/paynow' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

PayNow payment object.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
qrCodeInBase64string

An encoded QR image in base64 format, which can be decoded and displayed directly to the end user.

Example:"iVBORw0KGgoAAAANSUhEUgAAAXUAAAF1CAIAAACYn+2fAAB2CUlEQVR4Xux9B2BU15k1cYxAdJCQhB..."
detailsobject

Manual input details that can be used by the end user to make the transfer without scanning the QR image.

Response
{ "qrCodeInBase64": "iVBORw0KGgoAAAANSUhEUgAAAXUAAAF1CAIAAACYn+2fAAB2CUlEQVR4Xux9B2BU15k1cYxAdJCQhB...", "details": { "virtualPaymentAddress": "UEN123456789R#WISE", "amount": 100, "currency": "SGD", "reference": "PP12345678", "entityName": "WISE ASIA-PACIFIC PTE LTD" } }